openoffice-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kay Schenk <kay.sch...@gmail.com>
Subject Re: glibc errors with buildbot build Linux-32
Date Wed, 09 Sep 2015 16:08:33 GMT

On 09/08/2015 09:14 PM, Damjan Jovanovic wrote:
> You need --enable-category-b for libnss to be allowed so
> main/xmlsecurity can build which is needed for the macro security
> button to work (a catch eh?), but I already committed a test for that
> bug under test/testuno/data/uno/sc/fvt/StarBasicYearMonthDateHourMinuteSecondTests.ods,
> and those automated spreadsheet tests run with macros explicitly
> enabled (see https://bz.apache.org/ooo/show_bug.cgi?id=123119 for how
> to use it).
> 
> Damjan

Right. I had that. I'm not sure what the problem was initially but it's
fine now. OK, I will review the tests again.

> 
> On Thu, Sep 3, 2015 at 11:50 PM, Kay Schenk <kay.schenk@gmail.com> wrote:
>> I couldn't verify the fix for
>> https://bz.apache.org/ooo/show_bug.cgi?id=117989
>>
>> with my own build--Macro button not expanding! :(
>>
>> so I just downloaded and installed the latest Linux-32 rpm from our
>> buildbots. Normally I do a verbose option on rpm install but I didn't
>> this time. In any case, I am getting the following errors so this is a
>> no go for me from the buildbots.
>>
>> --------  glib c errors ---
>> /opt/openoffice42/openoffice4/program/javaldx: /lib/libc.so.6: version
>> `GLIBC_2.15' not found (required by
>> /opt/openoffice42/openoffice4/program/libuno_sal.so.3)
>> /opt/openoffice42/openoffice4/program/javaldx: /lib/libc.so.6: version
>> `GLIBC_2.15' not found (required by
>> /opt/openoffice42/openoffice4/program/libxml2.so.2)
>> /opt/openoffice42/openoffice4/program/soffice.bin: /lib/libc.so.6:
>> version `GLIBC_2.15' not found (required by
>> /opt/openoffice42/openoffice4/program/libuno_sal.so.3)
>> /opt/openoffice42/openoffice4/program/soffice.bin: /lib/libc.so.6:
>> version `GLIBC_2.15' not found (required by
>> /opt/openoffice42/openoffice4/program/libxml2.so.2)
>>
>> ------ end glibc errors ----
>>
>> I have glibc 2.12 installed. 4.1.1 is still fine as well as my own
>> build, at least on startup.
>>
>> If requirements for testing the builbot versions have changed since
>> 4.1.1., do we know what they are?
>>
>>
>> --
>> --------------------------------------------
>> MzK
>>
>> “The journey of a thousand miles begins
>>  with a single step.”
>>                           --Lao Tzu
>>
>>
>>
>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: dev-unsubscribe@openoffice.apache.org
>> For additional commands, e-mail: dev-help@openoffice.apache.org
>>
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: dev-unsubscribe@openoffice.apache.org
> For additional commands, e-mail: dev-help@openoffice.apache.org
> 

-- 
--------------------------------------------
MzK

“The journey of a thousand miles begins
 with a single step.”
                          --Lao Tzu



---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@openoffice.apache.org
For additional commands, e-mail: dev-help@openoffice.apache.org


Mime
View raw message